curl --request PUT \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/transaction-date-range \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"show_transactions_on_or_after": "2023-11-07T05:31:56Z",
"show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/transaction-date-range"
payload = {
"show_transactions_on_or_after": "2023-11-07T05:31:56Z",
"show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
show_transactions_on_or_after: '2023-11-07T05:31:56Z',
show_transactions_on_or_before: '2023-11-07T05:31:56Z'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/transaction-date-range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "External_Account",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"external_account_source": "PLAID",
"external_account_name": "My external bank account",
"latest_balance_timestamp": {
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"external_account_source": "PLAID",
"balance": 123,
"at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"current_ledger_balance": 123,
"uncategorized_transaction_sum": 123,
"mask": "4321",
"institution": {
"name": "Bank of Generica",
"logo": "iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEUAAAAAC1ETC"
},
"notifications": [
{
"type": "OPENING_BALANCE_MISSING",
"scope": "USER"
}
],
"connection_needs_repair_as_of": "2023-11-07T05:31:56Z",
"reconnect_with_new_credentials": true,
"requires_user_confirmation_as_of": "2023-11-07T05:31:56Z",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_external_id": "<string>",
"user_created": true,
"is_syncing": true,
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"show_transactions_on_or_after": "2023-11-07T05:31:56Z",
"show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Update transaction date range
Updates the visible transaction date range for an external account. Use this endpoint to limit which transactions are shown from this account based on their date.
When the date range is tightened (start date moved forward or end date moved backward), any categorized transactions that now fall outside the new bounds are automatically uncategorized. This ensures that hidden transactions don’t contribute to financial reports.
Set either field to null to remove that bound. For example, setting show_transactions_on_or_after to null will show all transactions after the business’s activation_at date.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business that owns the external account.
The UUID of the external account to update the date range for.
Body
Parameters for updating the visible transaction date range on an external account.
If set, only transactions on or after this timestamp will be visible. Set to null to remove the lower bound and show all transactions regardless of how old they are.
If set, only transactions on or before this timestamp will be visible. Set to null to remove the upper bound and show all transactions regardless of date.
Response
Transaction date range updated successfully. Returns the updated external account.
Show child attributes
Show child attributes